#ifndef GDM1602K_H_
#define GDM1602K_H_

#define LCD_DATA_PORT PORTB
#define LCD_DATA_DDR  DDRB
#define LCD_RS_PIN    PB1
#define LCD_EN_PIN    PB2
#define LCD_DB4       PB3
#define LCD_DB5       PB4
#define LCD_DB6       PB5
#define LCD_DB7       PB6

// Delay constants from the datasheet. These are mostly in nanoseconds
#define LAG  10
#define TW   300
#define TSU1 100

void lcd_write_strings(const char *top, const char *bottom);
void lcd_write_string(const char *string);
void lcd_init();
void lcd_clear();

#endif /* GDM1602K_H_ */
